Skip to content

Operations

getUserSelectFields

POST

Retrieves information about a user with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/getUserSelectFields
POST /nexum/627/persistent/user/getUserSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SelectableFields": {
    "IncludeAllUserFields": false,
    "UserFields": {
      "Number": true,
      "Name": true,
      "Type": true,
      "ActiveMode": true,
      "LastLogonDate": true,
      "LastLogonTime": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getUserSelectFieldsFilterChildren

POST

Retrieves information about a user with selected fields and filters children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/getUserSelectFieldsFilterChildren
POST /nexum/627/persistent/user/getUserSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SelectableFields": {
    "IncludeAllUserFields": false,
    "UserFields": {
      "Number": true,
      "Name": true,
      "Type": true,
      "ActiveMode": true
    },
    "ActivitySelectableFields": {
      "IncludeAllActivityFields": false,
      "ActivityFields": {
        "UserNumber": true,
        "Date": true,
        "Time": true,
        "Console": true
      }
    },
    "UserTrackingSelectableFields": {
      "IncludeAllUserTrackingFields": false,
      "UserTrackingFields": {
        "Locator": true,
        "Type": true,
        "CreationDate": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "ActivityFilter": {
      "Query": "string"
    },
    "UserTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getActivityPagedListSelectFields

POST

Retrieves a paged list of selected fields for activities.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/persistent/user/getActivityPagedListSelectFields
POST /nexum/627/persistent/user/getActivityPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllActivityFields": false,
    "ActivityFields": {
      "UserNumber": true,
      "Date": true,
      "Time": true,
      "Branch": true,
      "Console": true,
      "Session": true,
      "HelpCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchActivityPagedSelectFields

POST

Searches activities with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/persistent/user/searchActivityPagedSelectFields
POST /nexum/627/persistent/user/searchActivityPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SearchFilter": {
    "Query": "string"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllActivityFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getUserTrackingSelectFields

POST

Retrieves information about user tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
UserTrackingLocatorintegerrequiredThe locator for user tracking.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/getUserTrackingSelectFields
POST /nexum/627/persistent/user/getUserTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "TrackingCode": true,
      "UserChar1": true,
      "UserCode1": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getUserTrackingPagedListSelectFields

POST

Retrieves a paged list of selected fields for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/persistent/user/getUserTrackingPagedListSelectFields
POST /nexum/627/persistent/user/getUserTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "UserId": true,
      "CreationDate": true,
      "CreationTime": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchUserTrackingPagedSelectFields

POST

Searches user tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/persistent/user/searchUserTrackingPagedSelectFields
POST /nexum/627/persistent/user/searchUserTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SearchFilter": {
    "Query": "string"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserByID

POST

Updates user information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/updateUserByID
POST /nexum/627/persistent/user/updateUserByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserFields": {
    "Location": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserTrackingByID

POST

Updates user tracking information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
UserTrackingLocatorintegerrequiredThe locator for user tracking.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/updateUserTrackingByID
POST /nexum/627/persistent/user/updateUserTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "UserTrackingFields": {
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createUserTracking

POST

Creates a new record for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
UserTrackingLocatorintegeroptionalThe locator for user tracking.
POST/nexum/{sym}/persistent/user/createUserTracking
POST /nexum/627/persistent/user/createUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingFields": {
    "TrackingCode": 0,
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteUserTracking

POST

Deletes a record for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
UserTrackingLocatorintegerrequiredThe locator for user tracking.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/user/deleteUserTracking
POST /nexum/627/persistent/user/deleteUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}